### Function

# Camel URL encode

#### Declaration [src]

    gchar*
    camel_url_encode (
      const gchar* part,
      const gchar* escape_extra
    )

#### Description [src]

This %-encodes the given URL part and returns the escaped version in allocated memory, which the caller must free when it is done.

#### Parameters

`part`

  Type: `const gchar*`

  A URL part.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`escape_extra`

  Type: `const gchar*`

  Additional characters beyond ” "%#<>{}|\^[]`" to escape (or` NULL`).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The encoded string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.